Subject: bug#32835: icecat show many warning and don't display correctly

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 30 Jan 2019 19:02:29 +0100

Andreas Enge <[email-masked]> writes:

> On Mon, Jan 28, 2019 at 10:31:29AM +0900, Yoshinori Arai wrote:
>> I think it's no problem if 'source "$HOME/.guix-profile/etc/profile"'
>> is written in user's bash_profile.
>
> I already do, but this is not enough. Installing icecat into the user profile
> does not cause XDG* environment variables to be set in $HOME/.guix-profile/etc/profile.
> It may work incidentally when other installed packages cause the variable
> to be set.

The solution might be to use glib-or-gtk-build-system instead of
gnu-build-system.  This would wrap the binary in the required
variables.

Would someone like to try this before we make the change in the master
branch?

--
Ricardo